summaryrefslogtreecommitdiffstats
path: root/dvm
diff options
context:
space:
mode:
authorVishwanath <vishwanath@gluster.com>2011-03-16 23:22:22 -0700
committerVijay Bellur <vijay@gluster.com>2011-03-17 12:23:52 +0530
commit1fd9ea4f0b4113b14cbd85b18e9c257459e4263c (patch)
tree098cb48252201d4ff27c282a5fc0f47f0bd67229 /dvm
parent4d2d1de5c80fe8592d45152a4bd7b88df08e06b3 (diff)
regression testcase for the bug 2483
Signed-off-by: Vijay Bellur <vijay@gluster.com>
Diffstat (limited to 'dvm')
-rwxr-xr-xdvm/2483/testcase16
1 files changed, 16 insertions, 0 deletions
diff --git a/dvm/2483/testcase b/dvm/2483/testcase
new file mode 100755
index 0000000..ba62402
--- /dev/null
+++ b/dvm/2483/testcase
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+source ./regression_helpers
+
+VOLNAME="vol$global_bug_id"
+
+$GLUSTERFSDIR/gluster volume create $global_bug_id $(hostname):$EXPORT_DIR/$global_bug_id/brick1 $(hostname):$EXPORT_DIR/$global_bug_id/brick2 2>/dev/null 1>/dev/null
+$GLUSTERFSDIR/gluster volume create $VOLNAME replica 2 $(hostname):$EXPORT_DIR/$global_bug_id/brick3 $(hostname):$EXPORT_DIR/$global_bug_id/brick4 2>/dev/null 1>/dev/null
+
+$GLUSTERFSDIR/gluster volume start $global_bug_id 2>/dev/null 1>/dev/null
+$GLUSTERFSDIR/gluster volume start $VOLNAME 2>/dev/null 1>/dev/null
+
+sleep 5
+
+showmount -e | grep $VOLNAME 2>/dev/null 1>/dev/null && showmount -e | grep -w $global_bug_id 2>/dev/null 1>/dev/null
+ exit $?;